Package org.opensaml.xmlsec.signature.support.impl.provider

# Class ApacheSantuarioSignatureValidationProviderImpl

java.lang.Object
org.opensaml.xmlsec.signature.support.impl.provider.ApacheSantuarioSignatureValidationProviderImpl

All Implemented Interfaces:
  `SignatureValidationProvider`

public class ApacheSantuarioSignatureValidationProviderImpl extends Object implements SignatureValidationProvider
Implementation of `SignatureValidationProvider` which is based on the Apache Santuario library and is used with `Signature` instances which are instances of `SignatureImpl`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`ApacheSantuarioSignatureValidationProviderImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected org.apache.xml.security.signature.XMLSignature`
`getXMLSignature(Signature signature)`
Access the `XMLSignature` from the given signature object.
`void`
`validate(Signature signature, Credential validationCredential)`
Validate the given XML Signature using the given candidate validation Credential.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### ApacheSantuarioSignatureValidationProviderImpl

public ApacheSantuarioSignatureValidationProviderImpl()

## Method Details

### validate

public void validate(@Nonnull Signature signature, @Nonnull Credential validationCredential) throws SignatureException
Validate the given XML Signature using the given candidate validation Credential.

Specified by:
  `validate` in interface `SignatureValidationProvider`
Parameters:
  `signature` - the XMLSignature to validate
  `validationCredential` - the candidate validation Credential
Throws:
  `SignatureException` - if the signature does not validate using the candiate Credential, or if there is otherwise an error during the validation operation

### getXMLSignature

@Nullable protected org.apache.xml.security.signature.XMLSignature getXMLSignature(@Nonnull Signature signature)
Access the `XMLSignature` from the given signature object.

Parameters:
  `signature` - the signature
Returns:
  the related XMLSignature